/** @overview nodeunit test case. */

var testResource = require('../../../test_resource'),
    mockInjector = require('../../../mock_injector'),
    Model = require('../../../../lib/db/model.js');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    mockInjector.restoreAll();
    done();
};


exports['Model.'] = function (test) {
    test.ok(Model);
    var model = new Model;
    test.ok(model);
    test.ok(model.insert);
    test.ok(model.update);
    test.ok(model.destroy);
    test.ok(model.diff);
    test.ok(Model.findById);
    test.ok(Model.findAll);
    test.ok(Model.findByCondition);
    test.ok(Model.findOneByCondition);
    test.ok(Model.countAll);
    test.ok(Model.countByCondition);
    test.ok(Model.insertAll);
    test.ok(Model.updateAll);
    test.ok(Model.destroyAll);
    test.ok(Model.ensureIndex);
    test.ok(Model.getIndexes);
    test.done();
};